<?

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
	$dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
	$dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}


?>

<fieldset>
	<legend><?=msg('administrator_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<? $locales = array("en" => "English", "nl" => "Dutch", "es" => "Spanish", "de" => "German", "sv" => "Swedish", "fr" => "French", "it"=>"Italian");?>
 
<tr <?=sapp_is_wrong('locale') ? 'class="error"' : ''?>>
        <td class="name"><label for="fid-locale"><?=msg('locale')?> <?=REQ?></label></td>
        <td>
        <?$localeval = htmlspecialchars(sapp_get_param('locale'));?>
                <select name="locale" id="fid-locale">
                <? foreach($locales as $key => $var):?>
		    <option value="<?=$key?>" <? if($localeval == $key):?>selected<?endif?>><?=$var?></option>
		<? endforeach; ?>
		</select>
	<span class="hint"><?=sapp_is_wrong('locale') ? sapp_get_wrong('locale') : ''?></span>
	</td>
</tr>
													   
<tr <?=sapp_is_wrong('admin_name') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_name"><?=msg('admin_name')?>&nbsp;<?=REQ?></label></td>
	<td>
		<input type="text" name="admin_name" id="fid-admin_name" value="<?=htmlspecialchars(sapp_get_param('admin_name'))?>">
		<span class="hint"><?=sapp_is_wrong('admin_name') ? sapp_get_wrong('admin_name') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_passwd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_passwd"><?=msg('admin_passwd')?>&nbsp;<?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_passwd" id="fid-admin_passwd" value="">
		<span class="hint"><?=sapp_is_wrong('admin_passwd') ? sapp_get_wrong('admin_passwd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('admin_confirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-admin_confirm"><?=msg('admin_confirm')?>&nbsp;<?=sapp_get_param('admin_passwd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="admin_confirm" id="fid-admin_confirm" value="">
		<span class="hint"><?=sapp_is_wrong('admin_confirm') ? sapp_get_wrong('admin_confirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>
